Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.pf.ui.tree
Class UINodeHandlerImpl

    java.lang.Object
      de.grogra.pf.ui.tree.UINodeHandlerImpl

All Implemented Interfaces:
  UINodeHandler

    public class UINodeHandlerImpl

extends java.lang.Object
implements UINodeHandler

Field Summary
`static UINodeHandler` | `SEPARATOR`
`protected int` | `type`

Fields inherited from interface de.grogra.pf.ui.tree.UINodeHandler
`ACTION_DELETE, ACTION_OPEN, ACTION_RENAME, ACTION_SELECT, GET_IMMEDIATE_LISTENER_METHOD, GET_SELECTABLE_METHOD, NODE_TYPE_MASK, NT_CHECKBOX_ITEM, NT_CHOICE_GROUP, NT_CHOICE_ITEM, NT_DIRECTORY, NT_DIRECTORY_MASK, NT_FILL, NT_GROUP, NT_ITEM, NT_ITEM_GROUP, NT_LINK, NT_MOUSE_MOTION, NT_SELECTABLE, NT_SEPARATOR, NT_SPECIAL, NT_UNDEFINED`

Constructor Summary
`UINodeHandlerImpl(int type)`

Method Summary
`void` | `eventOccured(java.lang.Object node, java.util.EventObject event)`
`java.lang.Object` | `getDescription(java.lang.Object node, java.lang.String type)`
`java.lang.String` | `getName(java.lang.Object node)`
`int` | `getType(java.lang.Object node)`
`java.lang.Object` | `invoke(java.lang.Object node, java.lang.String method, java.lang.Object arg)`
`boolean` | `isAvailable(java.lang.Object node)`
`boolean` | `isEnabled(java.lang.Object node)`
`boolean` | `isLeaf(java.lang.Object node)`
`boolean` | `nodesEqual(java.lang.Object a, java.lang.Object b)`
`java.lang.Object` | `resolveLink(java.lang.Object node)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SEPARATOR

    public static final UINodeHandler SEPARATOR

### type

    protected final int type

Constructor Detail

### UINodeHandlerImpl

    public UINodeHandlerImpl(int type)

Method Detail

### eventOccured

    public void eventOccured(java.lang.Object node,
                             java.util.EventObject event)

  Specified by:
    `eventOccured` in interface `UINodeHandler`

### getDescription

    public java.lang.Object getDescription(java.lang.Object node,
                                           java.lang.String type)

  Specified by:
    `getDescription` in interface `UINodeHandler`

### getName

    public java.lang.String getName(java.lang.Object node)

  Specified by:
    `getName` in interface `UINodeHandler`

### getType

    public int getType(java.lang.Object node)

  Specified by:
    `getType` in interface `UINodeHandler`

### invoke

    public java.lang.Object invoke(java.lang.Object node,
                                   java.lang.String method,
                                   java.lang.Object arg)

  Specified by:
    `invoke` in interface `UINodeHandler`

### isAvailable

    public boolean isAvailable(java.lang.Object node)

  Specified by:
    `isAvailable` in interface `UINodeHandler`

### isEnabled

    public boolean isEnabled(java.lang.Object node)

  Specified by:
    `isEnabled` in interface `UINodeHandler`

### isLeaf

    public boolean isLeaf(java.lang.Object node)

  Specified by:
    `isLeaf` in interface `UINodeHandler`

### nodesEqual

    public boolean nodesEqual(java.lang.Object a,
                              java.lang.Object b)

  Specified by:
    `nodesEqual` in interface `UINodeHandler`

### resolveLink

    public java.lang.Object resolveLink(java.lang.Object node)

  Specified by:
    `resolveLink` in interface `UINodeHandler`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD